<?php
require_once ("IpsPay.Config.php");
require_once ("lib/IpsPayNotify.class.php");
?>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php
$ipspayNotify = new IpsPayNotify($ipspay_config);
$verify_result = $ipspayNotify->verifyReturn();
if ($verify_result) { // 验证成功


	$paymentResult = $_REQUEST['paymentResult'];
    $xmlResult = new SimpleXMLElement($paymentResult);
    $merBillNo = $xmlResult->WxPayRsp->body->MerBillno;
    $MerCode = $xmlResult->WxPayRsp->body->MerCode;
    $Account = $xmlResult->WxPayRsp->body->Account;
    $IpsBillNo = $xmlResult->WxPayRsp->body->IpsBillNo;
    $ordAmt = $xmlResult->WxPayRsp->body->OrdAmt;

	$url="http://weixin.fftma.top/ok.aspx?order_no=". $merBillNo ."&order_amount=".$ordAmt; 
	$html = file_get_contents($url); 




    echo "ipscheckok";
} else {
    echo "ipscheckfail";
}

?>
 
<title>接口返回</title>
</head>
<body>
</body>
</html>